program HashTest;

{$mode objfpc}{$H+}

uses
  sysutils,
  PatrickLampke.Hashing.Generate,
  PatrickLampke.Hashing.Types;

procedure ShowHash(HashPointer: PSHA256); stdcall; external 'TestDLL';
function GenerateFakeHash: PSHA256; stdcall; external 'TestDLL';

var
  Hash: TSHA256;
  p: PSHA256;

begin
  Hash := SHA256('Irgendwas');
  WriteLn(SHA256ToString(Hash)); // Direkt ausgeben (korrekt)
  p := @Hash;
  WriteLn(SHA256ToString(p^)); // Über lokalen Pointer (korrekt)

  ShowHash(p); // DLL aufrufen (Übergabe von EXE zu DLL verläuft auch korrekt)

  p := GenerateFakeHash;
  WriteLn(SHA256ToString(p^)); // Über DLL Pointer (falsch)

  ReadLn;
end.

