library TestDLL;

{$mode objfpc}{$H+}

uses
  PatrickLampke.Hashing.Types,
  PatrickLampke.Hashing.Generate,
  windows;

procedure ShowHash(HashPointer: PSHA256); stdcall;
begin
  if HashPointer <> nil then
  	MessageBoxA(0, LPCSTR('DLL ShowHash: ' + SHA256ToString(HashPointer^)), 'Hash', MB_OK);
end;

function GenerateFakeHash: PSHA256;
var
	Hash: TSHA256;
begin
  Hash := SHA256('Irgendwas');
  Result := @Hash;
  MessageBoxA(0, LPCSTR('DLL GenerateFakeHash: ' + SHA256ToString(Result^)), 'Hash', MB_OK);
end;

exports
	ShowHash,
	GenerateFakeHash;

begin
end.

